Linux-Hams archive - January 1998: Re: ax25-utils

Re: ax25-utils


Tue, 20 Jan 1998 09:42:38 +1100 (EST)


Riley Williams wrote:
> Hi Ed.
>
> On Sat, 17 Jan 1998, Ed Jackson wrote:
>
> > Can someone point me to a copy of ax25-utils-2.1.42a that
> > will build with glibc?
>
> Not yet, but I'm still looking...

The problem that a lot of people on this list are having is that they are
making an incorrect assumption.

You are all assuming that it is the ax25-utils code that is at fault, right
after changing the libc includes.

So the short answer is, there is not one and there never will be one.

The correct solution is to fix glibc and to change ax25-utils so that
it works better with the new includes. Oh, and there was some kernel
header changes too.

As I have said before, the Debian ax25utils package has been compiled on
a glibc or libc6 system; but if you want to compile it yourself you
will need to do the same (or similar in effect) modifications to the
glibc includes as I have.

I have already reported this fault to GNU and together have created a fix
for it. The GNU representative sent the kernel patches to Linus, sent
the glibc patches to the glibc people. I have also informed Terry
about what I did to ax25-utils.

So Terry is sitting there, waiting for the other changes (it doesn't make
sense otherwise). The real question is:

When is there going to be a glibc that we can compile ax25utils?

- Craig